Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class TagBeginGenerator

    java.lang.Object
      |
      +--org.apache.jasper.compiler.GeneratorBase
            |
            +--org.apache.jasper.compiler.TagGeneratorBase
                  |
                  +--org.apache.jasper.compiler.TagBeginGenerator

public class TagBeginGenerator
extends org.apache.jasper.compiler.TagGeneratorBase
implements ServiceMethodPhase

Custom tag support.

Author:
  Anil K. Vijendran, Danno Ferrin

Fields inherited from class org.apache.jasper.compiler.GeneratorBase
`ctxt`

Constructor Summary
`TagBeginGenerator(Mark start, java.lang.String prefix, java.lang.String shortTagName, org.xml.sax.Attributes attrs, javax.servlet.jsp.tagext.TagLibraryInfo tli, javax.servlet.jsp.tagext.TagInfo ti, TagLibraries libraries, java.util.Stack tagHandlerStack, java.util.Hashtable tagVarNumbers, boolean hasBody, boolean isXml)`

Method Summary
`java.lang.String` | `convertString(java.lang.Class c, java.lang.String s, ServletWriter writer, java.lang.String attrName, java.lang.Class propertyEditorClass)`
`void` | `generate(ServletWriter writer, java.lang.Class phase)`
`void` | `generateServiceMethodStatements(ServletWriter writer)`
`void` | `init(JspCompilationContext ctxt)`

Methods inherited from class org.apache.jasper.compiler.TagGeneratorBase
`declareVariables, getTagVarName, setTagHandlerStack, setTagVarNumbers, tagBegin, tagEnd, topTag`

Methods inherited from class org.apache.jasper.compiler.GeneratorBase
`generateCoordinates`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TagBeginGenerator

    public TagBeginGenerator(Mark start,
                             java.lang.String prefix,
                             java.lang.String shortTagName,
                             org.xml.sax.Attributes attrs,
                             javax.servlet.jsp.tagext.TagLibraryInfo tli,
                             javax.servlet.jsp.tagext.TagInfo ti,
                             TagLibraries libraries,
                             java.util.Stack tagHandlerStack,
                             java.util.Hashtable tagVarNumbers,
                             boolean hasBody,
                             boolean isXml)
                      throws JasperException

Method Detail

### init

    public void init(JspCompilationContext ctxt)
              throws JasperException

  Overrides:
    init in class org.apache.jasper.compiler.GeneratorBase

### convertString

    public java.lang.String convertString(java.lang.Class c,
                                          java.lang.String s,
                                          ServletWriter writer,
                                          java.lang.String attrName,
                                          java.lang.Class propertyEditorClass)
                                   throws JasperException

### generateServiceMethodStatements

    public void generateServiceMethodStatements(ServletWriter writer)
                                         throws JasperException

### generate

    public void generate(ServletWriter writer,
                         java.lang.Class phase)
                  throws JasperException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.